<script setup>
import AppShare from '@/helpers/AppShare'
import { useDialogStore } from '@/stores/DialogStore'
</script>


<script>
export default {

	data() {
		return {
			email: localStorage.getItem('email') || '',
		}
	},

	methods: {
		async onSubmit() {
			const dialogStore = useDialogStore()
			const result = await dialogStore.waitBox(async () =>
				await AppShare.client.call(`members/request-reset`, {
					method: 'POST',
					headers: AppShare.client.defaultHeaders(),
					data: {
						member: {
							email: this.email,
						},
					},
				})
			)
			if (!dialogStore.handleRestError(result)) {
				dialogStore.infoBox(this.$t('check'))
				this.$router.go(-1)
			}
		}
	},

	i18n: {
		messages: {
			en: {
				title: "Forgot Password",
				email: "Email",
				ok: "Send Email",
				check: "Please check email for your instruction!",
			},
			th: {
				title: "ลืมรหัสผ่าน",
				email: "อีเมล",
				ok: "ส่งอีเมล",
				check: "โปรดเช็คอีเมลสำหรับคำแนะนำต่อไป!",
			},
		},
	},
}
</script>


<template>
	<AppBox :title="$t('title')">
		<b-form id="form" @submit.prevent="onSubmit">
			<!-- email -->
			<b-form-group label-for="email" :label="this.$t('email')">
				<b-form-input id="email" type="email" :placeholder="$t('email')" required v-model="email" />
			</b-form-group>

			<b-form-group>
				<b-button class="mx-1" variant="primary" type="submit">{{  $t('ok')  }}</b-button>
				<b-button class="mx-1" variant="danger" type="button" @click.prevent="this.$router.go(-1)">{{
					 $t('common.cancel')  }}</b-button>
			</b-form-group>
		</b-form>
	</AppBox>
</template>


<style scoped>
</style>
